> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Property

> Using this API, you can list all the properties of your contacts in your Mailercloud account. You can also make segments based on these properties



## OpenAPI

````yaml /openapi-v1.json post /contact/property/search
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /contact/property/search:
    post:
      tags:
        - Custom Properties
      summary: List Property
      description: >-
        Using this API, you can list all the properties of your contacts in your
        Mailercloud account. You can also make segments based on these
        properties
      operationId: list-property
      parameters:
        - name: Content-Type
          in: header
          required: false
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                limit:
                  type: number
                  description: |-
                    Maximum number of elements to return. 

                    Maximum: 100
                    Minimum: 10
                  minimum: 10
                  maximum: 100
                page:
                  type: number
                  description: >-
                    You can retrieve a subset of records starting from the page
                    value you have specified. You can add a limit, which will
                    determine the number of records you can retrieve on a single
                    page.


                    Starts From: 1
                search:
                  type: string
                  minLength: 1
                  description: >-
                    Filter property list by name , giving name as search
                    keyword 
                type:
                  type: string
                  description: |-
                    Filter property based on type.
                     
                    Available types - default,custom
              required:
                - limit
                - page
            examples:
              example-1:
                value:
                  limit: 0
                  page: 0
                  search: string
                  type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  count:
                    type: number
                  data:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field_description
                        - field_name
                        - field_type
                        - field_value
                        - id
                        - is_default
                      properties:
                        field_description:
                          type: string
                          minLength: 1
                        field_name:
                          type: string
                          minLength: 1
                        field_type:
                          type: string
                          minLength: 1
                        field_value:
                          type: string
                          minLength: 1
                        is_default:
                          type: number
                required:
                  - count
                  - data
              examples:
                example-1:
                  value:
                    count: 20
                    data:
                      - field_description: Created via webform as a template property.
                        field_name: Message
                        field_type: Textarea
                        field_value: message
                        id: dcK
                        is_default: 0
                      - field_description: ' '
                        field_name: Countryin
                        field_type: Text
                        field_value: countryin
                        id: szB
                        is_default: 0
                      - field_description: IP address of the subscriber
                        field_name: IP
                        field_type: Text
                        field_value: userip
                        id: Bg
                        is_default: 1
                      - field_description: Lead source
                        field_name: Lead source
                        field_type: Text
                        field_value: lead_source
                        id: BF
                        is_default: 1
                      - field_description: Salary of the subscriber
                        field_name: Salary
                        field_type: Number
                        field_value: salary
                        id: kv
                        is_default: 1
                      - field_description: Job of the subscriber
                        field_name: Job title
                        field_type: Text
                        field_value: job_title
                        id: Ku
                        is_default: 1
                      - field_description: Department of the subscriber
                        field_name: Department
                        field_type: Text
                        field_value: department
                        id: bC
                        is_default: 1
                      - field_description: company name of the subscriber
                        field_name: company_name
                        field_type: Text
                        field_value: organization
                        id: kb
                        is_default: 1
                example-2:
                  value:
                    count: 0
                    data:
                      - field_description: string
                        field_name: string
                        field_type: string
                        field_value: string
                        id: string
                        is_default: 0
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Invalid input
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  errors:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      required:
                        - field
                        - message
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                          minLength: 1
                required:
                  - errors
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````